import { LevelLogs } from "../../common/LevelLogs.js";
export {};
import { XMPPService } from "../XMPPService";
declare class GenericHandler extends LevelLogs {
    xmppService: XMPPService;
    constructor(xmppService: XMPPService);
    get jid_im(): any;
    get jid_tel(): any;
    get jid_password(): any;
    get fullJid(): any;
    get jid(): any;
    get userId(): any;
    get applicationId(): any;
    get resourceId(): any;
    get xmppClient(): import("../../common/XmppQueue/XmppClient.js").XmppClient;
    get eventEmitter(): any;
    get _logger(): any;
}
export { GenericHandler as GenericHandler };
